libgimpprint API Reference: print-escp2-data.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/print-escp2-data.c File Reference

`#include <gimp-print/gimp-print.h>`
`#include "gimp-print-internal.h"`
`#include <gimp-print/gimp-print-intl-internal.h>`
`#include "print-escp2.h"`

Go to the source code of this file.

## Defines
#define | INCH(x) (72 * x)
## Variables
const escp2_dot_size_t | g1_dotsizes
const escp2_dot_size_t | g2_dotsizes
const escp2_dot_size_t | g3_dotsizes
const escp2_dot_size_t | c6pl_dotsizes
const escp2_dot_size_t | c4pl_dotsizes
const escp2_dot_size_t | c4pl_pigment_dotsizes
const escp2_dot_size_t | c3pl_dotsizes
const escp2_dot_size_t | c3pl_pigment_dotsizes
const escp2_dot_size_t | p3pl_dotsizes
const escp2_dot_size_t | p1_5pl_dotsizes
const escp2_dot_size_t | c2pl_dotsizes
const escp2_dot_size_t | c1_8pl_dotsizes
const escp2_dot_size_t | sc440_dotsizes
const escp2_dot_size_t | sc480_dotsizes
const escp2_dot_size_t | sc600_dotsizes
const escp2_dot_size_t | sc640_dotsizes
const escp2_dot_size_t | sc660_dotsizes
const escp2_dot_size_t | sc670_dotsizes
const escp2_dot_size_t | sp700_dotsizes
const escp2_dot_size_t | sp720_dotsizes
const escp2_dot_size_t | sp2000_dotsizes
const escp2_dot_size_t | spro_dye_dotsizes
const escp2_dot_size_t | spro_pigment_dotsizes
const escp2_dot_size_t | spro10000_dotsizes
const escp2_dot_size_t | spro5000_dotsizes
const escp2_dot_size_t | spro_c4pl_pigment_dotsizes
const escp2_bits_t | variable_bits
const escp2_bits_t | stp950_bits
const escp2_bits_t | ultrachrome_bits
const escp2_bits_t | standard_bits
const escp2_bits_t | c1_8_bits
const escp2_base_resolutions_t | standard_base_res
const escp2_base_resolutions_t | g3_base_res
const escp2_base_resolutions_t | variable_base_res
const escp2_base_resolutions_t | stp950_base_res
const escp2_base_resolutions_t | ultrachrome_base_res
const escp2_base_resolutions_t | c1_8_base_res
const escp2_base_resolutions_t | c1_5_base_res
const escp2_base_resolutions_t | stc900_base_res
const escp2_base_resolutions_t | pro_base_res
const escp2_densities_t | g1_densities
const escp2_densities_t | g3_densities
const escp2_densities_t | c6pl_densities
const escp2_densities_t | c4pl_2880_densities
const escp2_densities_t | c4pl_densities
const escp2_densities_t | c4pl_pigment_densities
const escp2_densities_t | c3pl_pigment_densities
const escp2_densities_t | c3pl_densities
const escp2_densities_t | p3pl_densities
const escp2_densities_t | p1_5pl_densities
const escp2_densities_t | c2pl_densities
const escp2_densities_t | c1_8pl_densities
const escp2_densities_t | sc1500_densities
const escp2_densities_t | sc440_densities
const escp2_densities_t | sc480_densities
const escp2_densities_t | sc660_densities
const escp2_densities_t | sc980_densities
const escp2_densities_t | sp700_densities
const escp2_densities_t | sp2000_densities
const escp2_densities_t | spro_dye_densities
const escp2_densities_t | spro_pigment_densities
const escp2_densities_t | spro10000_densities
const input_slot_t | standard_roll_feed_input_slots []
const input_slot_list_t | standard_roll_feed_input_slot_list
const input_slot_t | cutter_roll_feed_input_slots []
const input_slot_list_t | cutter_roll_feed_input_slot_list
const input_slot_t | cd_cutter_roll_feed_input_slots []
const input_slot_list_t | cd_cutter_roll_feed_input_slot_list
const input_slot_t | cd_roll_feed_input_slots []
const input_slot_list_t | cd_roll_feed_input_slot_list
const input_slot_t | pro_roll_feed_input_slots []
const input_slot_list_t | pro_roll_feed_input_slot_list
const input_slot_t | spro5000_input_slots []
const input_slot_list_t | spro5000_input_slot_list
const input_slot_list_t | default_input_slot_list
const stp_raw_t | new_init_sequence
const stp_raw_t | je_deinit_sequence
const quality_t | standard_qualities []
const quality_list_t | standard_quality_list
const stpi_escp2_printer_t | stpi_escp2_model_capabilities []
const int | stpi_escp2_model_limit

## Define Documentation

#define INCH | ( | x |  | ) | (72 * x)

| Definition at line 535 of file print-escp2-data.c.

## Variable Documentation

const escp2_base_resolutions_t c1_5_base_res`[static]`

| Initial value:
    {  360,  360,  720,  720,  720,  720,  720,  720 }
Definition at line 188 of file print-escp2-data.c.

const escp2_base_resolutions_t c1_8_base_res`[static]`

| Initial value:
    {  360,  360,  720,  720,  720, 1440, 1440, 1440 }
Definition at line 185 of file print-escp2-data.c.

const escp2_bits_t c1_8_bits`[static]`

| Initial value:
    {    2,    2,    2,    2,    2,    1,    1,    1 }
Definition at line 152 of file print-escp2-data.c.

const escp2_densities_t c1_8pl_densities`[static]`

| Initial value:
    { 2.3, 1.15, 0.57, 0.650, 0.650, 0.0,   0.650, 0.360 }
Definition at line 245 of file print-escp2-data.c.

const escp2_dot_size_t c1_8pl_dotsizes`[static]`

| Initial value:
    { 0x10, 0x10, 0x10, 0x10, 0x11, 0x12, 0x12, 0x13 }
Definition at line 80 of file print-escp2-data.c.

const escp2_densities_t c2pl_densities`[static]`

| Initial value:
    { 2.0, 1.0,  0.5,  0.650, 0.650, 0.0,   0.650, 0.325 }
Definition at line 242 of file print-escp2-data.c.

const escp2_dot_size_t c2pl_dotsizes`[static]`

| Initial value:
    { 0x12, 0x12, 0x12, 0x11, 0x13,   -1, 0x10, 0x10 }
Definition at line 77 of file print-escp2-data.c.

const escp2_densities_t c3pl_densities`[static]`

| Initial value:
    { 2.6, 1.3,  0.65, 0.730, 0.7,   0.91,  0.455, 0.0   }
Definition at line 233 of file print-escp2-data.c.

const escp2_dot_size_t c3pl_dotsizes`[static]`

| Initial value:
    { 0x11, 0x11, 0x11, 0x10, 0x10, 0x10, 0x10, 0x10 }
Definition at line 65 of file print-escp2-data.c.

const escp2_densities_t c3pl_pigment_densities`[static]`

| Initial value:
    { 2.4, 1.2,  0.60, 0.600, 0.512, 0.512, 0.512, 0.0   }
Definition at line 230 of file print-escp2-data.c.

const escp2_dot_size_t c3pl_pigment_dotsizes`[static]`

| Initial value:
    { 0x10, 0x10, 0x10, 0x11, 0x12, 0x12, 0x12, 0x12 }
Definition at line 68 of file print-escp2-data.c.

const escp2_densities_t c4pl_2880_densities`[static]`

| Initial value:
    { 2.6, 1.3,  0.65, 0.650, 0.650, 0.650, 0.32,  0.0   }
Definition at line 221 of file print-escp2-data.c.

const escp2_densities_t c4pl_densities`[static]`

| Initial value:
    { 2.6, 1.3,  0.65, 0.568, 0.523, 0.792, 0.396, 0.0   }
Definition at line 224 of file print-escp2-data.c.

const escp2_dot_size_t c4pl_dotsizes`[static]`

| Initial value:
    { 0x12, 0x12, 0x12, 0x11, 0x10, 0x10, 0x10, 0x10 }
Definition at line 59 of file print-escp2-data.c.

const escp2_densities_t c4pl_pigment_densities`[static]`

| Initial value:
    { 2.3, 1.15, 0.58, 0.766, 0.388, 0.958, 0.479, 0.0   }
Definition at line 227 of file print-escp2-data.c.

const escp2_dot_size_t c4pl_pigment_dotsizes`[static]`

| Initial value:
    { 0x12, 0x12, 0x12, 0x11, 0x11, 0x10, 0x10, 0x10 }
Definition at line 62 of file print-escp2-data.c.

const escp2_densities_t c6pl_densities`[static]`

| Initial value:
    { 4.0, 2.0,  1.0,  0.568, 0.568, 0.568, 0.0,   0.0   }
Definition at line 218 of file print-escp2-data.c.

const escp2_dot_size_t c6pl_dotsizes`[static]`

| Initial value:
    { 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10 }
Definition at line 56 of file print-escp2-data.c.

const input_slot_list_t cd_cutter_roll_feed_input_slot_list`[static]`

| Initial value:
    {
      cd_cutter_roll_feed_input_slots,
      sizeof(cd_cutter_roll_feed_input_slots) / sizeof(const input_slot_t)
    }
Definition at line 393 of file print-escp2-data.c.

const input_slot_t cd_cutter_roll_feed_input_slots[]`[static]`

| Definition at line 344 of file print-escp2-data.c.

const input_slot_list_t cd_roll_feed_input_slot_list`[static]`

| Initial value:
    {
      cd_roll_feed_input_slots,
      sizeof(cd_roll_feed_input_slots) / sizeof(const input_slot_t)
    }
Definition at line 439 of file print-escp2-data.c.

const input_slot_t cd_roll_feed_input_slots[]`[static]`

| Definition at line 399 of file print-escp2-data.c.

const input_slot_list_t cutter_roll_feed_input_slot_list`[static]`

| Initial value:
    {
      cutter_roll_feed_input_slots,
      sizeof(cutter_roll_feed_input_slots) / sizeof(const input_slot_t)
    }
Definition at line 338 of file print-escp2-data.c.

const input_slot_t cutter_roll_feed_input_slots[]`[static]`

| Initial value:
    {
      {
        "Standard",
        N_("Standard"),
        0,
        0,
        0,
        { 16, "IR\002\000\000\001EX\006\000\000\000\000\000\005\000" },
        { 6, "IR\002\000\000\000"}
      },
      {
        "RollCutPage",
        N_("Roll Feed (cut each page)"),
        0,
        1,
        ROLL_FEED_CUT_ALL,
        { 16, "IR\002\000\000\001EX\006\000\000\000\000\000\005\001" },
        { 6, "IR\002\000\000\002" }
      },
      {
        "RollCutNone",
        N_("Roll Feed (do not cut)"),
        0,
        1,
        ROLL_FEED_DONT_EJECT,
        { 16, "IR\002\000\000\001EX\006\000\000\000\000\000\005\001" },
        { 6, "IR\002\000\000\002" }
      }
    }
Definition at line 307 of file print-escp2-data.c.

const input_slot_list_t default_input_slot_list`[static]`

| Initial value:
    {
      NULL,
      0,
    }
Definition at line 519 of file print-escp2-data.c.

const escp2_densities_t g1_densities`[static]`

| Initial value:
    { 2.6, 1.3,  1.3,  0.568, 0.0,   0.0,   0.0,   0.0   }
Definition at line 212 of file print-escp2-data.c.

const escp2_dot_size_t g1_dotsizes`[static]`

| Initial value:
    {   -2,   -2,   -2,   -2,   -1,   -1,   -1,   -1 }
Definition at line 47 of file print-escp2-data.c.

const escp2_dot_size_t g2_dotsizes`[static]`

| Initial value:
    {   -2,   -2,   -2,   -2,   -1,   -1,   -1,   -1 }
Definition at line 50 of file print-escp2-data.c.

const escp2_base_resolutions_t g3_base_res`[static]`

| Initial value:
    {  720,  720,  720,  720,  360,  360,  360,  360 }
Definition at line 173 of file print-escp2-data.c.

const escp2_densities_t g3_densities`[static]`

| Initial value:
    { 2.6, 1.3,  0.65, 0.775, 0.388, 0.0,   0.0,   0.0,  }
Definition at line 215 of file print-escp2-data.c.

const escp2_dot_size_t g3_dotsizes`[static]`

| Initial value:
    {    3,    3,    2,    1,    1,   -1,   -1,   -1 }
Definition at line 53 of file print-escp2-data.c.

const stp_raw_t je_deinit_sequence`[static]`

| Initial value:
    {
      5, "JE\001\000\000"
    }
Definition at line 530 of file print-escp2-data.c.

const stp_raw_t new_init_sequence`[static]`

| Initial value:
    {
      29, "\0\0\0\033\001@EJL 1284.4\n@EJL     \n\033@"
    }
Definition at line 525 of file print-escp2-data.c.

const escp2_densities_t p1_5pl_densities`[static]`

| Initial value:
    { 2.0, 1.0,  0.5,  0.627, 0.483, 0.523, 0.262, 0.131 }
Definition at line 239 of file print-escp2-data.c.

const escp2_dot_size_t p1_5pl_dotsizes`[static]`

| Initial value:
    { 0x10, 0x10, 0x11, 0x11, 0x12, 0x13, 0x13, 0x13 }
Definition at line 74 of file print-escp2-data.c.

const escp2_densities_t p3pl_densities`[static]`

| Initial value:
    { 2.0, 1.5,  0.75, 0.627, 0.523, 0.523, 0.523, 0.262 }
Definition at line 236 of file print-escp2-data.c.

const escp2_dot_size_t p3pl_dotsizes`[static]`

| Initial value:
    { 0x10, 0x10, 0x10, 0x11, 0x12, 0x12, 0x12, 0x12 }
Definition at line 71 of file print-escp2-data.c.

const escp2_base_resolutions_t pro_base_res`[static]`

| Initial value:
    { 2880, 2880, 2880, 2880, 2880, 2880, 2880, 2880 }
Definition at line 194 of file print-escp2-data.c.

const input_slot_list_t pro_roll_feed_input_slot_list`[static]`

| Initial value:
    {
      pro_roll_feed_input_slots,
      sizeof(pro_roll_feed_input_slots) / sizeof(const input_slot_t)
    }
Definition at line 467 of file print-escp2-data.c.

const input_slot_t pro_roll_feed_input_slots[]`[static]`

| Initial value:
    {
      {
        "Standard",
        N_("Standard"),
        0,
        0,
        0,
        { 7, "PP\003\000\000\002\000" },
        { 0, "" }
      },
      {
        "Roll",
        N_("Roll Feed"),
        0,
        1,
        0,
        { 7, "PP\003\000\000\003\000" },
        { 0, "" }
      }
    }
Definition at line 445 of file print-escp2-data.c.

const escp2_densities_t sc1500_densities`[static]`

| Initial value:
    { 2.6, 1.3,  1.3,  0.631, 0.0,   0.0,   0.0,   0.0   }
Definition at line 248 of file print-escp2-data.c.

const escp2_densities_t sc440_densities`[static]`

| Initial value:
    { 4.0, 2.0,  1.0,  0.900, 0.45,  0.0,   0.0,   0.0   }
Definition at line 251 of file print-escp2-data.c.

const escp2_dot_size_t sc440_dotsizes`[static]`

| Initial value:
    {    3,    3,    2,    1,   -1,   -1,   -1,   -1 }
Definition at line 83 of file print-escp2-data.c.

const escp2_densities_t sc480_densities`[static]`

| Initial value:
    { 2.8, 1.4,  0.7,  0.710, 0.710, 0.546, 0.0,   0.0   }
Definition at line 254 of file print-escp2-data.c.

const escp2_dot_size_t sc480_dotsizes`[static]`

| Initial value:
    { 0x13, 0x13, 0x13, 0x10, 0x10, 0x10, 0x10, 0x10 }
Definition at line 86 of file print-escp2-data.c.

const escp2_dot_size_t sc600_dotsizes`[static]`

| Initial value:
    {    4,    4,    3,    2,    1,   -1,   -1,   -1 }
Definition at line 89 of file print-escp2-data.c.

const escp2_dot_size_t sc640_dotsizes`[static]`

| Initial value:
    {    3,    3,    2,    1,    1,   -1,   -1,   -1 }
Definition at line 92 of file print-escp2-data.c.

const escp2_densities_t sc660_densities`[static]`

| Initial value:
    { 4.0, 2.0,  1.0,  0.646, 0.323, 0.0,   0.0,   0.0   }
Definition at line 257 of file print-escp2-data.c.

const escp2_dot_size_t sc660_dotsizes`[static]`

| Initial value:
    {    3,    3,    0,    0,    0,   -1,   -1,   -1 }
Definition at line 95 of file print-escp2-data.c.

const escp2_dot_size_t sc670_dotsizes`[static]`

| Initial value:
    { 0x12, 0x12, 0x12, 0x11, 0x11,   -1,   -1,   -1 }
Definition at line 98 of file print-escp2-data.c.

const escp2_densities_t sc980_densities`[static]`

| Initial value:
    { 2.6, 1.3,  0.65, 0.511, 0.49,  0.637, 0.455, 0.0   }
Definition at line 260 of file print-escp2-data.c.

const escp2_densities_t sp2000_densities`[static]`

| Initial value:
    { 2.6, 1.3,  0.65, 0.852, 0.438, 0.219, 0.0,   0.0   }
Definition at line 266 of file print-escp2-data.c.

const escp2_dot_size_t sp2000_dotsizes`[static]`

| Initial value:
    { 0x11, 0x11, 0x11, 0x10, 0x10,   -1,   -1,   -1 }
Definition at line 107 of file print-escp2-data.c.

const escp2_densities_t sp700_densities`[static]`

| Initial value:
    { 2.6, 1.3,  1.3,  0.775, 0.55,  0.0,   0.0,   0.0   }
Definition at line 263 of file print-escp2-data.c.

const escp2_dot_size_t sp700_dotsizes`[static]`

| Initial value:
    {    3,    3,    2,    1,    4,   -1,   -1,   -1 }
Definition at line 101 of file print-escp2-data.c.

const escp2_dot_size_t sp720_dotsizes`[static]`

| Initial value:
    { 0x12, 0x12, 0x11, 0x11, 0x11,   -1,   -1,   -1 }
Definition at line 104 of file print-escp2-data.c.

const escp2_densities_t spro10000_densities`[static]`

| Initial value:
    { 2.6, 1.3,  0.65, 0.431, 0.216, 0.392, 0.0,   0.0   }
Definition at line 275 of file print-escp2-data.c.

const escp2_dot_size_t spro10000_dotsizes`[static]`

| Initial value:
    {    4, 0x11, 0x11, 0x10, 0x10,   -1,   -1,   -1 }
Definition at line 116 of file print-escp2-data.c.

const escp2_dot_size_t spro5000_dotsizes`[static]`

| Initial value:
    {    3,    3,    2,    1,    4,   -1,   -1,   -1 }
Definition at line 119 of file print-escp2-data.c.

const input_slot_list_t spro5000_input_slot_list`[static]`

| Initial value:
    {
      spro5000_input_slots,
      sizeof(spro5000_input_slots) / sizeof(const input_slot_t)
    }
Definition at line 513 of file print-escp2-data.c.

const input_slot_t spro5000_input_slots[]`[static]`

| Definition at line 473 of file print-escp2-data.c.

const escp2_dot_size_t spro_c4pl_pigment_dotsizes`[static]`

| Initial value:
    { 0x11, 0x11, 0x11, 0x10, 0x10,   -1,    5,    5 }
Definition at line 122 of file print-escp2-data.c.

const escp2_densities_t spro_dye_densities`[static]`

| Initial value:
    { 2.6, 1.3,  1.3,  0.775, 0.388, 0.275, 0.0,   0.0   }
Definition at line 269 of file print-escp2-data.c.

const escp2_dot_size_t spro_dye_dotsizes`[static]`

| Initial value:
    {    3,    3,    3,    1,    1,   -1,   -1,   -1 }
Definition at line 110 of file print-escp2-data.c.

const escp2_densities_t spro_pigment_densities`[static]`

| Initial value:
    { 3.0, 1.5,  0.78, 0.775, 0.388, 0.194, 0.0,   0.0   }
Definition at line 272 of file print-escp2-data.c.

const escp2_dot_size_t spro_pigment_dotsizes`[static]`

| Initial value:
    {    3,    3,    2,    1,    1,   -1,   -1,   -1 }
Definition at line 113 of file print-escp2-data.c.

const escp2_base_resolutions_t standard_base_res`[static]`

| Initial value:
    {  720,  720,  720,  720,  720,  720,  720,  720 }
Definition at line 170 of file print-escp2-data.c.

const escp2_bits_t standard_bits`[static]`

| Initial value:
    {    1,    1,    1,    1,    1,    1,    1,    1 }
Definition at line 149 of file print-escp2-data.c.

const quality_t standard_qualities[]`[static]`

| Initial value:
    {
      { "FastEconomy", N_("Fast Economy"), 360, 120, 0, 0, 360, 90 },
      { "Economy",     N_("Economy"),      360, 240, 0, 0, 360, 180 },
      { "Draft",       N_("Draft"),        360, 360, 0, 0, 360, 360 },
      { "Standard",    N_("Standard"),     0, 0, 0, 0, 720, 360 },
      { "High",        N_("High"),         0, 0, 0, 0, 720, 720 },
      { "Photo",       N_("Photo"),        0, 0, 1440, 720, 1440, 720 },
      { "HighPhoto",   N_("Super Photo"),  0, 0, 2880, 2880, 2880, 1440 },
      { "UltraPhoto",  N_("Ultra Photo"),  0, 0, 2880, 2880, 2880, 2880 },
      { "Best",        N_("Best"),         720, 360, 0, 0, -1, -1 },
    }
Definition at line 537 of file print-escp2-data.c.

const quality_list_t standard_quality_list`[static]`

| Initial value:
    {
      standard_qualities,
      sizeof(standard_qualities) / sizeof(quality_t)
    }
Definition at line 550 of file print-escp2-data.c.

const input_slot_list_t standard_roll_feed_input_slot_list`[static]`

| Initial value:
    {
      standard_roll_feed_input_slots,
      sizeof(standard_roll_feed_input_slots) / sizeof(const input_slot_t)
    }
Definition at line 301 of file print-escp2-data.c.

const input_slot_t standard_roll_feed_input_slots[]`[static]`

| Initial value:
    {
      {
        "Standard",
        N_("Standard"),
        0,
        0,
        0,
        { 16, "IR\002\000\000\001EX\006\000\000\000\000\000\005\000" },
        { 6, "IR\002\000\000\000"}
      },
      {
        "Roll",
        N_("Roll Feed"),
        0,
        1,
        ROLL_FEED_DONT_EJECT,
        { 16, "IR\002\000\000\001EX\006\000\000\000\000\000\005\001" },
        { 6, "IR\002\000\000\002" }
      }
    }
Definition at line 279 of file print-escp2-data.c.

const escp2_base_resolutions_t stc900_base_res`[static]`

| Initial value:
    {  360,  360,  360,  360,  180,  180,  360,  360 }
Definition at line 191 of file print-escp2-data.c.

const escp2_base_resolutions_t stp950_base_res`[static]`

| Initial value:
    {  360,  360,  360,  360,  360,  720,  720,  720 }
Definition at line 179 of file print-escp2-data.c.

const escp2_bits_t stp950_bits`[static]`

| Initial value:
    {    2,    2,    2,    2,    2,    2,    1,    1 }
Definition at line 143 of file print-escp2-data.c.

const stpi_escp2_printer_t stpi_escp2_model_capabilities[]

| Definition at line 557 of file print-escp2-data.c. Referenced by escp2_base_res(), escp2_bits(), escp2_density(), escp2_dropsizes(), escp2_get_cap(), escp2_has_cap(), escp2_ink_type(), and escp2_inklist().

const int stpi_escp2_model_limit

| Initial value:
    sizeof(stpi_escp2_model_capabilities) / sizeof(stpi_escp2_printer_t)
Definition at line 1736 of file print-escp2-data.c.

const escp2_base_resolutions_t ultrachrome_base_res`[static]`

| Initial value:
    {  360,  360,  360,  360,  360,  720,  720,  720 }
Definition at line 182 of file print-escp2-data.c.

const escp2_bits_t ultrachrome_bits`[static]`

| Initial value:
    {    2,    2,    2,    2,    2,    1,    1,    1 }
Definition at line 146 of file print-escp2-data.c.

const escp2_base_resolutions_t variable_base_res`[static]`

| Initial value:
    {  360,  360,  360,  360,  360,  360,  360,  360 }
Definition at line 176 of file print-escp2-data.c.

const escp2_bits_t variable_bits`[static]`

| Initial value:
    {    2,    2,    2,    2,    2,    2,    2,    2 }
Definition at line 140 of file print-escp2-data.c.